curl --request DELETE \
--url https://api.byblend.com/api/v1/patients/{patient_id}/risk_factors/{risk_factor_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.byblend.com/api/v1/patients/{patient_id}/risk_factors/{risk_factor_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.byblend.com/api/v1/patients/{patient_id}/risk_factors/{risk_factor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"risk_factor_id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"confidence": 0.95,
"is_active": true,
"match_source": "autocomplete",
"match_type": "product",
"matched": true,
"matched_via_synonym": false,
"patient_id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"risk_factor_text_id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"text_chunk": "liothyronine",
"medication_detail": {
"brand_name": "Benadryl",
"clinical_product_rxcui": "978941",
"ingredient_name": "diphenhydramine",
"ingredient_rxcui": "4083",
"name": "estradiol valerate 3 MG Oral Tablet",
"normalization_key": "SCDG:1165185|generic",
"product_rxcui": "978941",
"scdf_name": "estradiol Oral Tablet",
"scdf_rxcui": "372078",
"scdg_name": "estradiol Oral Product",
"scdg_rxcui": "1165185"
}
}Deactivate a risk factor
Deactivate a risk factor match for a patient.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for the patient, either UUID or external ID (e.g. my-patients-128318AA2) if you have provided one during patient creation or update.
Unique (UUID) identifier for the risk factor
Response
Risk factor deactivated successfully
Represents a mapping of risk factor to a patient.
Unique identifier
"0227d1e5-ba9a-42b5-8fe2-38882aa65708"
Date and time of creation
"2025-03-15T12:00:00Z"
Date and time of last update
"2025-03-15T12:00:00Z"
Reference ID for the Blend database entry for this unique risk factor
"0227d1e5-ba9a-42b5-8fe2-38882aa65708"
If matched, confidence score for the risk factor match
0.95
Whether the risk factor is active. Risk factors can be manually deactivated if not applicable.
true
Source of the match, one of autocomplete, text, or manual.
"autocomplete"
For medications, type of match.
"product"
If the risk factor has been matched to a representative entry. Autocomplete matches are always true, as are 1.0 confidence matches, and manual confirmations.
true
If the risk factor was matched via a synonym lookup to a representative entry.
false
ID of the patient associated with the risk factor
"0227d1e5-ba9a-42b5-8fe2-38882aa65708"
If applicable, reference ID for the freeform text entry that produced this risk factor
"0227d1e5-ba9a-42b5-8fe2-38882aa65708"
If applicable, the matching text chunk from the freeform text
"liothyronine"
Show child attributes
Show child attributes